gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin System.Obsolete A widget representing a single page inside a druid. The functions in this page are mostly only for the information of developers -- they should never need to call them directly. Typically, a druid will connect to the various signals described here as a way of controlling the behaviour of druids that do not just proceed in a front-to-back fashion (for example, where the subsequent pages depend upon the choice made at some point).
- Constructor
  2.24.0.0
  Creates a new .
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.24.0.0
  System.Boolean Emit the event. an object of type It is called by exclusively. It is expected that non-linear Druids will override this signal and return if it handles changing pages.
- Event
  2.24.0.0
  GLib.Signal("back")
  Gnome.BackClickedHandler Emitted when the "Back" button of the page is clicked.
- Method
  2.24.0.0
  System.Boolean Emit the event. an object of type It is called by gnome-druid exclusively. It is expected that a Druid will override this signal and return if it does not want to exit.
- Event
  2.24.0.0
  GLib.Signal("cancel")
  Gnome.CancelClickedHandler Emitted when the "Cancel" button of the page is clicked.
- Method
  2.24.0.0
  System.Void Emit the event. To be added
- Event
  2.24.0.0
  GLib.Signal("finish")
  Gnome.FinishClickedHandler Emitted when the "Finish" button of the page is clicked.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  System.Boolean Emit the event. an object of type It is called by gnome-druid exclusively. It is expected that non-linear Druids will override this signal and return if it handles changing pages.
- Event
  2.24.0.0
  GLib.Signal("next")
  Gnome.NextClickedHandler Emitted when the "Next" button of the page is clicked.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBackClicked", Type=typeof(Gnome.DruidPage))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCancelClicked", Type=typeof(Gnome.DruidPage))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFinishClicked", Type=typeof(Gnome.DruidPage))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideNextClicked", Type=typeof(Gnome.DruidPage))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePrepared", Type=typeof(Gnome.DruidPage))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void Emit the event. It is called by exclusively. This function is called immediately prior to a druid page being shown so that it can "prepare" for display.
- Event
  2.24.0.0
  GLib.Signal("prepare")
  Gnome.PreparedHandler Emitted immediately prior to a druid page being shown.